
From: Anton Blanchard <anton@samba.org>

Reset the progress indicator on iseries after boot.

Signed-off-by: John Engel <engel@us.ibm.com>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/iSeries_setup.c |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN arch/ppc64/kernel/iSeries_setup.c~ppc64-reset-iseries-progress-indicator-on-boot arch/ppc64/kernel/iSeries_setup.c
--- 25/arch/ppc64/kernel/iSeries_setup.c~ppc64-reset-iseries-progress-indicator-on-boot	2004-05-31 17:04:18.329485576 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_setup.c	2004-05-31 17:04:18.332485120 -0700
@@ -858,3 +858,12 @@ static void iSeries_setup_dprofile(void)
 		}
 	}
 }
+
+int __init iSeries_src_init(void)
+{
+        /* clear the progress line */
+        ppc_md.progress(" ", 0xffff);
+        return 0;
+}
+
+late_initcall(iSeries_src_init);
_
